PluginTagLib (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.web.taglib
[Groovy] Class PluginTagLib

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.taglib.PluginTagLib

    @Artefact("TagLibrary")
    class PluginTagLib
    extends java.lang.Object

Tags to inspect available plugins.

Authors:
  Graeme Rocher

Since:
  1.1

Property Summary
`groovy.lang.Closure` | `isAvailable` Checks whether a particular plugin exists and executes the body if it does.
`groovy.lang.Closure` | `isNotAvailable` Checks whether a particular plugin does not exist and executes the body if it does.
`static java.lang.Object` | `namespace`
`groovy.lang.Closure` | `path` Gets the path to a particular plugin.
`GrailsPluginManager` | `pluginManager`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### isAvailable

    groovy.lang.Closure isAvailable

  Checks whether a particular plugin exists and executes the body if it does.
  eg. <plugin:isAvailable name="hibernate">print me</plugin:isAvailable>
  attr:
    name REQUIRED the plugin name
  attr:
    version the plugin version

### isNotAvailable

    groovy.lang.Closure isNotAvailable

  Checks whether a particular plugin does not exist and executes the body if it does.
  eg. <plugin:isNotAvailable name="hibernate">print me</plugin:isNotAvailable>
  attr:
    name REQUIRED the plugin name
  attr:
    version the plugin version

### namespace

    static java.lang.Object namespace

### path

    groovy.lang.Closure path

  Gets the path to a particular plugin.
  eg. <plugin:path name="myPlugin" />
  attr:
    name REQUIRED the plugin name

### pluginManager

    GrailsPluginManager pluginManager

Groovy Documentation